routes/web.php
<?php

use Illuminate\Support\Facades\Route;

/*
|--------------------------------------------------------------------------
| Web Routes
|--------------------------------------------------------------------------
|
| Here is where you can register web routes for your application. These
| routes are loaded by the RouteServiceProvider within a group which
| contains the "web" middleware group. Now create something great!
|
*/

Route::get('/locale/{locale}', 'IndexController@changeLocale')->name('locale');

Route::group(['middleware' => ['set_locale']], function () {
    Route::get('/', 'IndexController@showIndex')->name('index');
    Route::post( '/', 'IndexController@indexForm')->name('form');
    Route::get('/servis', 'ServisController@show')->name('servis');
});

Route::get('/register', 'UserController@create')->name('register.create');
Route::post('/register', 'UserController@store')->name('register.store');

Route::get('/login', 'UserController@loginForm')->name('login.form');
Route::post('/login', 'UserController@login')->name('login');
Route::get('/logout', 'UserController@logout')->name('logout');




Route::group(['middleware' => 'auth'], function (){
    Route::get('/main', function(){return view('user.admin_main');})->name('admin.main');
    Route::resource('crudnews', 'NewsController');
    Route::resource('crudprices', 'PriceController');
});

app/Models/News.php
<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Builder;
use Illuminate\Database\Eloquent\Factories\HasFactory;
use Illuminate\Database\Eloquent\Model;

/**
 * Class News
 * @package App\Models
 * @mixin Builder
 */
class News extends Model
{
    use HasFactory;

    protected $table = 'news';
    protected $fillable = ['title_ee', 'title_ru', 'text_ee', 'text_ru'];
}

app/Http/Controllers/NewsController.php
<?php

namespace App\Http\Controllers;

use App\Models\News;
use Illuminate\Http\Request;

class NewsController extends Controller
{
    /**
     * Display a listing of the resource.
     *
     * @return \Illuminate\Http\Response
     */
    public function index()
    {
        $crud_news = News::all();

        return view('crud.news.index', compact('crud_news'));
    }

    /**
     * Show the form for creating a new resource.
     *
     * @return \Illuminate\Http\Response
     */
    public function create()
    {

    }

    /**
     * Store a newly created resource in storage.
     *
     * @param  \Illuminate\Http\Request  $request
     * @return \Illuminate\Http\Response
     */
    public function store(Request $request)
    {

            $request->validate([
                'title_ru' => 'required',
                'text_ru' => 'required',
                'title_ee' => 'required',
                'text_ee' => 'required',
            ]);

            News::create($request->all());

            return redirect()->route('crudnews.index')->with('success', 'Новость добавлена!');

    }

    /**
     * Show the form for editing the specified resource.
     *
     * @param  int  $id
     * @return \Illuminate\Http\Response
     */
    public function edit($id)
    {
        $news = News::find($id);
        return view('crud.news.edit', compact('news'));
    }

    /**
     * Update the specified resource in storage.
     *
     * @param  \Illuminate\Http\Request  $request
     * @param  int  $id
     * @return \Illuminate\Http\Response
     */
    public function update(Request $request, $id)
    {
        $request->validate([
            'title_ru' => 'required',
            'text_ru' => 'required',
            'title_ee' => 'required',
            'text_ee' => 'required',
        ]);

        $news = News::find($id);
        $news->update($request->all());
        return redirect()->route('crudnews.index')->with('success', 'Новость изменена');
    }

    /**
     * Remove the specified resource from storage.
     *
     * @param  int  $id
     * @return \Illuminate\Http\Response
     */
    public function destroy($id)
    {
        News::destroy($id);

        return redirect()->route('crudnews.index')->with('success', 'Новость удалена');
    }
}

resources/views/crud/news/edit.blade.php
@extends('layout.admin_layout')

@section('admin_content')
    <div class="admin__container">
        <div class="back-btn">
            <a href="{{route('crudnews.index')}}">Назад</a>
        </div>
        <form action="{{route('crudnews.update', ['crudnews' => $news->id])}}" method="post" class="form__inner">
            @if ($errors->any())
                <div class="alert-danger">
                    <ul>
                        @foreach ($errors->all() as $error)
                            <li>{{ $error }}</li>
                        @endforeach
                    </ul>
                </div>
            @endif
            @if (session()->has('error'))
                <div class="alert-danger">
                    {{ session('error') }}
                </div>
            @endif
            @if (session()->has('success'))
                <div class="alert-success">
                    {{ session('success') }}
                </div>
            @endif
                @method('PUT')
            @csrf
            <div class="form-group">
                <label for="title_ru">Заголовок на русском</label><br>
                <input type="text" name="title_ru" value="">
            </div>
            <div class="form-group">
                <label for="text_ru">Новость на русском</label><br>
                <textarea rows="5" name="text_ru" id="text_ru"></textarea>
            </div>
            <div class="form-group">
                <label for="title_ee">Заголовок на эстонском</label><br>
                <input type="text" name="title_ee" >
            </div>
            <div class="form-group">
                <label for="text_ee">Новость на эстонском</label><br>
                <textarea rows="5" name="text_ee" id="text_ee"></textarea>
            </div>

            <button type="submit">Изменить</button>
        </form>
    </div>

@endsection

resources/views/crud/news/index.blade.php
@extends('layout.admin_layout')

@section('admin_content')
    <div class="admin__container">
        <div class="back-btn">
            <a href="{{route('admin.main')}}">Назад</a>
        </div>
        <div class="news__table-inner">
            <table>
                <h1>Список новостей</h1>
                @if ($errors->any())
                    <div class="alert-danger">
                        <ul>
                            @foreach ($errors->all() as $error)
                                <li>{{ $error }}</li>
                            @endforeach
                        </ul>
                    </div>
                @endif
                @if (session()->has('error'))
                    <div class="alert-danger">
                        {{ session('error') }}
                    </div>
                @endif
                @if (session()->has('success'))
                    <div class="alert-success">
                        {{ session('success') }}
                    </div>
                @endif
                <tr>
                    <th>Заголовок на русском языке</th>
                    <th>Новость на русском языке</th>
                    <th>Заголовок на эстонском языке</th>
                    <th>Новость на эстонском языке</th>
                    <th>Дата публикации</th>
                    <th>Изменить</th>
                    <th>Удалить</th>
                </tr>
                @foreach($crud_news as $item)
                    <tr>
                        <td>{{$item->title_ru}}</td>
                        <td>{{$item->text_ru}}</td>
                        <td>{{$item->title_ee}}</td>
                        <td>{{$item->text_ee}}</td>
                        <td>{{$item->created_at}}</td>
                        <td>
                            <a href="{{route('crudnews.edit', ['crudnews' => $item->id])}}">Изменить</a>
                        </td>
                        <td>
                            <form method="post" action="{{route('crudnews.destroy', ['crudnews' => $item->id])}}">
                                @csrf
                                @method('DELETE')
                                <input type="submit" value="Удалить" class="form-del">
                            </form>
                        </td>
                    </tr>
                @endforeach
            </table>
        </div>
        <form action="{{route('crudnews.store')}}" method="post" class="form__inner">

            @csrf
            <div class="form-group">
                <label for="title_ru">Заголовок на русском</label><br>
                <input type="text" name="title_ru" value="{{old('title_ru')}}">
            </div>
            <div class="form-group">
                <label for="text_ru">Новость на русском</label><br>
                <textarea rows="5" name="text_ru" id="text_ru"></textarea>
            </div>
            <div class="form-group">
                <label for="title_ee">Заголовок на эстонском</label><br>
                <input type="text" name="title_ee" value="{{old('title_ee')}}">
            </div>
            <div class="form-group">
                <label for="text_ee">Новость на эстонском</label><br>
                <textarea rows="5" name="text_ee" id="text_ee"></textarea>
            </div>

            <button type="submit">Добавить новость</button>
        </form>

    </div>

@endsection